%define		tarball		xf86-input-magictouch
%define		moduledir	%(pkg-config xorg-server --variable=moduledir )
%define		driverdir	%{moduledir}/input
%define		gitversion	20080921

Distribution:	CCux
Packager:	Christian Metzen <metzench@ccux-linux.de>

Summary:	Xorg X11 magictouch input driver
Name:		xorg-x11-drv-magictouch
Version:	1.0.0.6
Release:	2
URL:		http://www.x.org
License:	MIT/X11
Group:		User Interface/X Hardware Support
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

Source0:	ftp://ftp.x.org/pub/individual/driver/%{tarball}-%{gitversion}.tar.bz2

ExclusiveArch:	%{ix86} x86_64 ia64

BuildRequires:	pkg-config
BuildRequires:	xorg-x11-server-sdk

Requires:	xorg-x11-server-Xorg

%description 
X.Org X11 magictouch input driver.

%prep
%setup -q -n %{tarball}-%{gitversion}

%build
autoreconf -v --install
%configure --disable-static
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

# FIXME: Remove all libtool archives (*.la) from modules directory.  This
# should be fixed in upstream Makefile.am or whatever.
find $RPM_BUILD_ROOT -regex ".*\.la$" | xargs rm -f --

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%dir %{moduledir}
%dir %{driverdir}
%{driverdir}/magictouch_drv.so
%dir %{_mandir}
#%dir %{_mandir}/man4x
%{_mandir}/man4/magictouch.4*

%changelog
* Sat May 23 2009 Christian Wasem <wasem@ccux-linux.de> 1.0.0.6-2
- rebuilt against x.org 1.6.1.901
* Sun Sep 21 2008 Stefan Gottwald <gotti@ccux-linux.de> 1.0.0.6-1
- version update to git version 20080921
* Sat Sep 09 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.0.0.5-3
- rebuilt against X.org 7.3
* Fri Jun 06 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.0.0.5-2
- rebuilt against X.org 7.2
* Sun Sep 17 2006 Christian Metzen <metzench@ccux-linux.de> 1.0.0.5-1
- Initial release
